Create Image Prewarm Task
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"productIds": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"
payload = {
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"productIds": ["<string>"],
"note": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
imageUrl: '<string>',
repositoryAuth: '<string>',
clusterId: '<string>',
productIds: ['<string>'],
note: '<string>'
})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Image
Create Image Prewarm Task
POST
/
gpu-instance
/
openapi
/
v1
/
image
/
prewarm
Create Image Prewarm Task
Request Headers
string
requerido
Enum:
application/jsonstring
requerido
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
requerido
Image address to prewarm.
string
Image registry authentication ID. Required only for private registries.
string
requerido
Cluster ID where the image should be prewarmed.
string[]
Product IDs to prewarm on. Leave empty to prewarm globally in the cluster.
string
Task note or description.
Response
string
requerido
Created prewarm task ID.
Última modificación el 15 de mayo de 2026
⌘I